# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor/Fast.pm) perl(Class/Data/Inheritable.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(DateTime/Format/W3CDTF.pm) perl(DateTime/TimeZone.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(HTTP/Date.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(MIME/Types.pm) perl(Module/Build.pm) perl(NEXT.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Perl6/Export/Attrs.pm) perl(Socket.pm) perl(Test/More.pm) perl(Time/Local.pm) perl(URI/Escape.pm) perl(XML/Atom.pm) perl(XML/Atom/Category.pm) perl(XML/Atom/Client.pm) perl(XML/Atom/Entry.pm) perl(XML/Atom/Feed.pm) perl(XML/Atom/Server.pm) perl(XML/Atom/Service.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.3.7
%define module_name Atompub
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3.7
Release: alt1
Summary: Atom Publishing Protocol implementation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TA/TAKERU/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The Atom Publishing Protocol (Atompub) is a protocol for publishing and
editing Web resources described at http://www.ietf.org/rfc/rfc5023.txt.

the Atompub manpage implements client the Atompub::Client manpage and server the Atompub::Server manpage for the protocol.
XML formats used in the protocol are implemented in the XML::Atom manpage and
the XML::Atom::Service manpage.
Catalyst extension the Catalyst::Controller::Atompub manpage is also available.

This module was tested in July2007InteropTokyo and November2007Interop,
and interoperated with other implementations.
See http://intertwingly.net/wiki/pie/July2007InteropTokyo and
http://www.intertwingly.net/wiki/pie/November2007Interop in detail.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.7-alt1
- initial import by package builder

